package cz.uhk.fim.denotevrenychdveri.views.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseExpandableListAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.ArrayList;

import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.models.DegreeProgram;
import cz.uhk.fim.denotevrenychdveri.models.DegreeProgramGroup;

/**
 * Created by salay on 15.07.2016.
 */
public class DegreeProgramAdapter extends BaseExpandableListAdapter {
    private Context context;
    private ArrayList<DegreeProgramGroup> degreeProgramGroups;

    public DegreeProgramAdapter(Context context, ArrayList<DegreeProgramGroup> degreeProgramGroups) {
        this.context = context;
        this.degreeProgramGroups = degreeProgramGroups;
    }




    @Override
    public int getGroupCount() {
        return degreeProgramGroups.size();
    }

    @Override
    public int getChildrenCount(int i) {
        return degreeProgramGroups.get(i).getDegreePrograms().size();
    }

    @Override
    public Object getGroup(int i) {
        return degreeProgramGroups.get(i);
    }

    @Override
    public Object getChild(int i, int i1) {
        return degreeProgramGroups.get(i).getDegreePrograms().get(i1);
    }

    @Override
    public long getGroupId(int i) {
        return i;
    }

    @Override
    public long getChildId(int i, int i1) {
        return i1;
    }

    @Override
    public boolean hasStableIds() {
        return true;
    }

    @Override
    public View getGroupView(int i, boolean isExpadnde, View view, ViewGroup viewGroup) {
        DegreeProgramGroup group = (DegreeProgramGroup) getGroup(i);
        if (view == null){
            LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            view = inflater.inflate(R.layout.degree_program_group,viewGroup,false);
        }
        TextView textViewName = (TextView) view.findViewById(R.id.text_degree_progmam_group_name);
        ImageView imageViewIcon = (ImageView) view.findViewById(R.id.image_degree_program_group);
        imageViewIcon.setAlpha(0.5f);
        if (isExpadnde){
            imageViewIcon.setImageResource(R.drawable.ic_keyboard_arrow_down_black_24dp);
        }
        else {
            imageViewIcon.setImageResource(R.drawable.ic_keyboard_arrow_up_black_24dp);
        }
        textViewName.setText(group.getName());
        return view;
    }

    @Override
    public View getChildView(int i, int i1, boolean b, View view, ViewGroup viewGroup) {
        DegreeProgram degreeProgram = (DegreeProgram) getChild(i,i1);
        if (view == null){
            LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            view = inflater.inflate(R.layout.degree_program_item,viewGroup,false);
        }
        TextView textViewName = (TextView) view.findViewById(R.id.text_degree_program_name);
        textViewName.setText(degreeProgram.getName());
        TextView textViewType = (TextView) view.findViewById(R.id.text_degree_program_type);
        textViewType.setText(degreeProgram.getStudyForm());
        return view;
    }

    @Override
    public boolean isChildSelectable(int i, int i1) {
        return true;
    }
}
