package cz.uhk.fim.denotevrenychdveri.views.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.text.SimpleDateFormat;
import java.util.List;

import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.models.Event;

/**
 * Created by salay on 09.07.2016.
 */
public class EventAdapter extends ArrayAdapter<Event> {
    public EventAdapter(Context context, List<Event> events) {
        super(context, 0, events);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
            if (convertView == null){
                convertView = LayoutInflater.from(getContext()).inflate(R.layout.list_event_item,parent,false);
            }

        Event currentEvent = getItem(position);

        TextView nameEventTextView = (TextView) convertView.findViewById(R.id.text_event_name);
        nameEventTextView.setText(currentEvent.getName());

        TextView placeEventTextView = (TextView) convertView.findViewById(R.id.text_event_place_and_location);
        placeEventTextView.setText(currentEvent.getPlace() +" - " +currentEvent.getLocation());

        if (!currentEvent.isRepeateble()){
            convertView.findViewById(R.id.text_event_replay_30).setVisibility(View.GONE);
        }

        SimpleDateFormat fmt = new SimpleDateFormat("HH:mm");

        TextView startDateEventTextView = (TextView) convertView.findViewById(R.id.text_event_start);
        String startDateString = fmt.format(currentEvent.getStart());
        startDateEventTextView.setText(startDateString);

        TextView endDateEventTextView = (TextView) convertView.findViewById(R.id.text_event_end);
        String endDateString = fmt.format(currentEvent.getEnd());
        endDateEventTextView.setText(endDateString);
        return convertView;
    }
}
